
#ifdef vertexcompile

layout (location=0) in vec2 a_position;
uniform float t;
out vec2 uv;
out float noisefade;
void main() {
	uv = vec2(.5)+a_position*.5;
	gl_Position = vec4(a_position, .0, 1.0);
	noisefade = min(1.0, max(0.0, (t - 122.0)*0.01)) *
	(1.0 - min(1.0, max(0.0, (t - 140.0)*0.2)));
}

#endif

#ifdef fragmentcompile

layout (location=0) out vec4 outcol;

in vec2 uv;
in float noisefade;
uniform float t;
uniform sampler2D color, bloom, depth;

void main() {
vec4 bloo = vec4(.0);
vec2 off = vec2((sin((uv.y*16000.0+t))), 0.0)*0.01*fract(t*111.0)*noisefade;
for(int i = 0; i<4; ++i) {
	vec2 uv_off = vec2(.001)-.002*fract(999.9*cos(vec2(t*141.2+10.9*i+dot(gl_FragCoord.xy, vec2(89.3, 91.3)), t*113.7+11.1*i+dot(gl_FragCoord.xy, vec2(99.1, 79.9)))));
	bloo += (2.0*textureLod(bloom, uv+uv_off*.5, 1.5) + .2*textureLod(bloom, uv+uv_off*4, 4.5)+ .01*textureLod(bloom, uv+uv_off*6, 6.5)
	+ .1*textureLod(bloom, uv+uv_off*2, 3.5) + .6*textureLod(bloom, uv+uv_off*2, 2.5)+ .05*textureLod(bloom, uv+uv_off*6, 5.5))*1.3;
}

outcol = texture(color, uv+off) + bloo*.2;
	vec3 x = max(vec3(0.0), outcol.xyz - vec3(0.004));
	vec3 c = (x*(6.2*x+vec3(.5)))/(x*(6.2*x+vec3(1.7))+vec3(0.06));
	outcol = vec4(c, 1.0)*min(1.0, min(t*.2, (160.45-t)*.5));
}
#endif
